<?
include 'config.php';
include 'func.php';
head();
aut();
ban();
####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'mail' WHERE `id` = '".$id_session."'");
####################################################

echo head . "Личный кабинет | <b>Почта</b>" . div;   

if ( $kik_session > time()) {
    echo katalog;
    echo 'Вы заблокированы. По причине: '.$whykik_session.', администратором/модератором: '.user($whokik_session).'. Осталось ждать: '.t($kik_session-time()).'<br/>';
    navig();
    foot();
    exit();
}
switch($_GET['act']){
default:

if (!empty($_POST['submit'])) {
  
$t = mysql_fetch_assoc(mysql_query("SELECT * FROM `mail` WHERE `ot_user` = '".$id_session."' order by id desc limit 1"));


if (isset($_GET['id']))
$id = num($_GET['id']);
else
$id = num($_POST['id']);

$msg = mysmile(html($_POST['msg']));
if (empty($id)) $err = 'Не введен ID<br/>';
if (empty($msg)) $err = 'Не введено сообщение<br/>';


$us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$id."'"));
if (empty($us['id'])) $err = 'Получатель не найден в БД.<br/>';

$m = mysql_fetch_assoc(mysql_query("SELECT * FROM `mail` WHERE `ot_user` = '".$id_session."' order by id desc limit 1"));
if ($m['msg'] == $msg) $err = 'Повтор сообщения<br/>';

  $sql = mysql_query("SELECT * FROM `blacklist` WHERE `user_1` = $us[id] AND `user_2` = $user[id];");
    if(mysql_num_rows($sql) !=0) $err =  "Вы не можете писать пользователю <b>$us[login]</b>  Вы добавлены в его черный список  <br/>";
    
if ($us['private_msg'] == 1) $err = 'Вы не можете писать пользователю '.$us['login'].' личные сообщения. Т.к пользователь ограничил доступ.';

if ($us['private_msg'] == 2) {
    $sql = mysql_query("SELECT * FROM `friends` WHERE `user_1` = $us[id] AND `user_2` = $id_session;");
    if(mysql_num_rows($sql) ==0) $err = 'Пользователю '.$us['login'].' могут писать только его/ее друзья.';
}



if ($user['settopovew_icq'] == 1) {
////////////Уведомление в аську

if ( $us['time'] < time() AND !empty($us['uin']) ) {
function Encode($str,$type=u)
{
$conv=array();
for($x=192;$x<=239;$x++)
$conv['u'][chr($x)]=chr(208).chr($x-48);
for($x=240;$x<=255;$x++)
$conv['u'][chr($x)]=chr(209).chr($x-112);
$conv['u'][chr(168)]=chr(208).chr(129);
$conv['u'][chr(184)]=chr(209).chr(209);
$conv['w']=array_flip($conv['u']);
if($type=='w' || $type=='u')
return strtr($str,$conv[$type]);
else
return $str;
}
                include('WebIcqLite.class.php');
$text=Encode(NULL . 'На сайте http://jamob.ru на ваш адресат было отправлено личное сообщение. Для просмотра, перейдите пожалуйста по ссылке http://jamob.ru/mail.php, чтобы прочесть. От пользователя: '.$login_session.' (Сайт: http://jamob.ru)','w');
$icq = new WebIcqLite();
if($icq->connect($UIN, $PASSWORD)){
if(!$icq->send_message($us['uin'], $text)){
echo $icq->error;
}else{
echo "
<font color = 'red'>Сообщение успешно отправлено!</font><br/>
<a href='index.php'>Отправить еще</a><br/>";
}
$icq->disconnect();
}else{
echo $icq->error;
}

}
////////////////////////////
}



/*$result3 = mysql_affected_rows(mysql_query ("Select * from friends WHERE `user_1 = '".$us['id']."' && `user_2` = '".$id_session."'"));
if ( $user['private_lichka'] == 2 OR $result3 ==0 ) $err = 'Вы не можете написать пользователю '.$us['login'].'<br/>';*/
if (empty($err)) {
    
    $res = mysql_query("INSERT INTO `mail` SET `to_user` = '".$id."', `ot_user` = '".$id_session."', `msg` = '".$msg."', `status` = 0, `date` = '".(time() + 15)."'");
    if ($res == 1) {
        if (isset($_GET['s'])) 
        header('Location: mail.php?act=dialog&uid='.$id);
        else
        echo link1 . 'Письмо успешно отправлено' . div;
    } else {
        echo link1 . 'Возникла ошибка' . div;
    }    

} else {
    echo link1 . 'Ошибка! ' . $err . div;
}


}


echo '
<div class="katalog"><form action="mail.php" method="post" name="form">
<b>ID получателя:</b><br/>
<input name="id" value="'.num($_GET['id']).'" maxlength="15"/><br/>';

if ($_GET['func'] == 'otvetk') {
    $us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".num($_GET['id'])."'"));
    echo '<b>Текст:</b><br/>
    <textarea id="tarea" name="msg" cols="30" rows="5" style="width: 100%;">[b]Ответ на вопрос - '.$us['vopros'].'[/b]: </textarea><br/>
    <input name="submit" type="submit" class="button" value="Написать" /></form></div>
    ';
} else {
    echo '<b>Текст:</b><br/>
    <textarea id="tarea" name="msg" cols="30" rows="5" style="width: 100%;"></textarea><br/>
    <input name="submit" type="submit" class="button" value="Написать" /></form></div>
    ';

}


$v = mysql_result(mysql_query("SELECT count(*) FROM `mail` WHERE `to_user` = '".$id_session."'"), 0);

$v1 = mysql_result(mysql_query("SELECT count(*) FROM `mail` WHERE `to_user` = '".$id_session."' and `status` = '0'"), 0);
if ($v1 > 0) 
$v_1 = '+'.$v1;
else
$v_1;


$s = mysql_result(mysql_query("SELECT count(*) FROM `mail` WHERE `to_user` = '".$id_session."' AND `save` = 1"), 0);

echo '<div class="link1"><a href="mail.php?act=vhod"> Входящие</a> ['.$v.'] '.$v_1.' [<a href="mail.php?act=clean&a=v">Clean</a>]<br/>';
echo '<a href="mail.php?act=saves"> Сохраненные</a> ['.$s.'] [<a href="mail.php?act=clean&a=s">Clean</a>]</div>';
break;

case 'vhod':
if ($_GET['err']==9)echo '<b>Не чего не выделено.</b>';
if ($_GET['err']==10)echo '<b>Ошибка при удаление выделеных писем.</b>';
if (isset($_GET['ok']))echo '<b>Выделеные письма успешно удалены.</b>';

echo '<form action="mail.php?act=del2" method="post">';
$all = mysql_result(mysql_query("SELECT count(*) FROM `mail` WHERE `to_user` = '".$id_session."'"), 0);

if ( $all > 0 ) {
    
mysql_query("UPDATE `mail` SET `status` = '1' WHERE `to_user` = '".$id_session."'");
$onpage = 10;
$allpage = ceil($all/$onpage);
$this_page = (isset($_GET['p'])) ? intval($_GET['p']) : 1 ;
if($this_page < 1 || $this_page > $allpage)$this_page = 1;
$start = $this_page*$onpage - $onpage;
$result = mysql_query("SELECT * FROM mail WHERE `to_user` = '".$id_session."' order by id desc  limit ".num($start).",".num($onpage)."");
while($a = mysql_fetch_assoc($result)){

echo link1 . '<input type="checkbox"  name="check_del[]" value="'. $a['id'] .'"> От: '; echo user($a['ot_user']) .' [<a href="?act=dialog&amp;uid='.$a['ot_user'].'">Диалог</a>]' . div;

$usinfo = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$a['ot_user']."'"));
if ($usinfo['vip'] > time())
echo link2 . 'Сообщение от VIP Пользователя: <b>'.smile($a['msg']).'</b><br/>';
else
echo link2 . 'Текст: '.smile($a['msg']).'<br/>';
echo '[<a href="mail.php?id='.$a['ot_user'].'">Отв.</a>] [<a href="mail.php?act=del&msg='.$a['id'].'">Del</a>] [<a href="mail.php?act=save&msg='.$a['id'].'">Save</a>] [<a href="mail.php?id='.$a['id'].'&act=spam">Спам</a>]' . div;
	
}
echo link2 . '<b>Страницы:</b> ';
navigation($allpage,"mail.php?act=vhod&p={p}",1,1);



echo '<br/ ><input type="submit" class="ibutton" value="Удалить выделеное"/></form><br /><br />';

} else {
    echo 'Еще ничего не писали';
}

break;


case del2:
if  (!isset($_POST['check_del'])) {
header('Location: mail.php?act=vhod&err=9');
}

$check_del = $_POST['check_del'];
$col = 0;
foreach  ($check_del as $check) {
$col  = $col + 1;

if(mysql_query("DELETE FROM `mail` WHERE `id` = '".(int)$check."' and `to_user` = '".$id_session."'"))
{
header('Location: mail.php?act=vhod&ok');
}
 else
{
header('Location: privat?mod=vhod&err=10');
}
}
break;

/*
* - Диалог
*/
case 'dialog':

	$uid = (int)abs($_GET['uid']);
    $page = isset($_GET['page']) ? intval($_GET['page']) : 1;
    
    echo '
    <div class="katalog"><form action="mail.php?id='.$uid.'&s=dialog" method="post" name="form">
    <b>Текст:</b><br/>
    <textarea id="tarea" name="msg" cols="30" rows="5" style="width: 100%;"></textarea><br/>
    <input name="submit" type="submit" class="button" value="Написать" /></form></div>
    ';
//echo katalog;
		$start = ($page - 1) * 10;
		$all = mysql_result(mysql_query("SELECT COUNT(*) FROM mail WHERE to_user = '$uid' AND ot_user = '$id_session' OR to_user = '$id_session' AND ot_user = '$uid'"), 0);

		$all = ceil($all / 10);
		$all = $all > 10 ? 10 : $all;

		$sql = mysql_query("SELECT * FROM mail WHERE to_user = '$uid' AND ot_user = '$id_session' OR to_user = '$id_session' AND ot_user = '$uid' ORDER BY date DESC LIMIT ".abs(intval($start)).", 10");

		if (mysql_num_rows($sql)) {
			while($a = mysql_fetch_assoc($sql)) {

			$Who = ($a['ot_user'] == $id_session) ? '<b>' . $login_session . '</b>' : '<b>' . user($a['ot_user']) . '</b>';

				echo link1 . $Who . '
					[' . gmdate('H:i', $a['date']) . '] [<a href="mail.php?act=vhod">Входящие</a>]' . div .  link2 . $a['msg']  . div;
			}
            
            echo link1;

				for($i = 1; $i <= $all; $i++)
				{
					echo $pr=(($i == 1 || $i == $all || abs($i-$page) < 2) ? ($i == $page ? " [$i] " : ' <b><a href="mail.php?act=dialog&uid='.$uid.'&page='.$i.'">'.$i.'</a></b>') : (($pr == ' ... ' || $pr == '')? '' : ' ... '));
				}
                echo div;
		} else {
			echo link2 . 'Диалог пуст' . div;
		}
echo div;
break;

case 'saves':
$all = mysql_result(mysql_query("SELECT count(*) FROM mail WHERE `save` = 1 AND `to_user` = '".$id_session."'"), 0);

if ( $all > 0 ) {
$onpage = 10;
$allpage = ceil($all/$onpage);
$this_page = (isset($_GET['p'])) ? intval($_GET['p']) : 1 ;
if($this_page < 1 || $this_page > $allpage)$this_page = 1;
$start = $this_page*$onpage - $onpage;
$result = mysql_query("SELECT * FROM mail WHERE `save` = 1 AND `to_user` = '".$id_session."' order by id desc  limit ".num($start).",".num($onpage)."");
while($a = mysql_fetch_assoc($result)){
$time =  t (( time() - $a['date'] ));
echo 'От: '; echo user($a['ot_user']);
echo ' '.$time.'<br/>';
echo '<br/>Текст: '.$a['msg'].'<br/>';
echo '[<a href="mail.php?id='.$a['ot_user'].'">Отв.</a>] [<a href="mail.php?act=del&msg='.$a['id'].'">Del</a>]<hr>';
}
echo main2 . '<b>Страницы:</b> ';
navigation($allpage,"mail.php?act=saves&p={p}",1,1);
} else {
    echo 'Список сообщений пуст';
}
break;

case 'del':
$msg = num($_GET['msg']);
$result = mysql_fetch_assoc(mysql_query("SELECT * FROM `mail` WHERE `id` = '".$msg."'"));
if (empty($result['id'])) $err = 'Данного письма не существует.<br/>';

if (empty($err)) {
$res = mysql_query("DELETE FROM `mail` WHERE `id` = '".$msg."' AND `to_user` = '".$id_session."'");
if ($res == 1) {
    echo 'Удалено успешно.<br/>';
} else {
    echo 'Возникла ошибка.<br/>';
}
} else {
    echo '<b>Ошибка:</b> '.$err.'';
}
break;

case 'save':
$msg = num($_GET['msg']);
$result = mysql_fetch_assoc(mysql_query("SELECT * FROM `mail` WHERE `id` = '".$msg."'"));
if (empty($result['id'])) $err = 'Данного письма не существует.<br/>';

if (empty($err)) {
$res = mysql_query("UPDATE `mail` SET `save` = 1 WHERE `id` = '".$msg."' AND `to_user` = '".$id_session."'");
if ($res == 1) {
    echo 'Сохранено успешно.<br/>';
} else {
    echo 'Возникла ошибка.<br/>';
}
} else {
    echo '<b>Ошибка:</b> '.$err.'';
}
break;

case 'clean':
if ($_GET['a'] == 'v') {
    $result = mysql_query("DELETE FROM mail WHERE `to_user` = '".$id_session."'");
    if ( $result != NULL )
    echo rew('mail.php');
    else
    echo 'Возникла ошибка';
} 



if($_GET['a'] == 's') {
$result = mysql_query("DELETE FROM mail WHERE `to_user` = '".$id_session."' AND `save` = '1' ");
    if ( $result != NULL )
    echo rew('mail.php');
    else
    echo 'Возникла ошибка';
}
break;

case 'spam':
$mail = num($_GET['id']);

$res = mysql_query("UPDATE `mail` SET `spam` = '1', `spamst` = '1', `userspam` = '".$id_session."' WHERE `id` = '".$mail."'");
    if ($res == 1) {
        echo 'Сообщение отмечено как спам. Сообщение будет заблокировано после проверки администратором<br/>';
    } else {
        echo 'Возникла ошибка.<br/>';
    }    


break;




}

echo '</div>';
navig();
foot();
?>
